# TdApi.Game (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: Game

Package it.tdlight.jni

# Class TdApi.Game

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Game

Enclosing class:
  TdApi

    public static class TdApi.Game
    extends TdApi.Object

Describes a game.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.Animation` | `animation` | Game animation; may be null.
`static int` | `CONSTRUCTOR` |
`String` | `description` | Game description.
`long` | `id` | Game ID.
`TdApi.Photo` | `photo` | Game photo.
`String` | `shortName` | Game short name.
`TdApi.FormattedText` | `text` | Game text, usually containing scoreboards for a game.
`String` | `title` | Game title.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Game()` | Describes a game.
`Game​(long id, String shortName, String title, TdApi.FormattedText text, String description, TdApi.Photo photo, TdApi.Animation animation)` | Describes a game.
`Game​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Game ID.

### shortName

public String shortName
Game short name. To share a game use the URL https://t.me/{botUsername}?game={gameShortName}.

### title

public String title
Game title.

### text

public TdApi.FormattedText text
Game text, usually containing scoreboards for a game.

### description

public String description
Game description.

### photo

public TdApi.Photo photo
Game photo.

### animation

public TdApi.Animation animation
Game animation; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### Game

public Game()
Describes a game.

### Game

public Game​(long id, String shortName, String title, TdApi.FormattedText text, String description, TdApi.Photo photo, TdApi.Animation animation)
Describes a game.

Parameters:
  `id` - long Game ID.
  `shortName` - String Game short name. To share a game use the URL https://t.me/{botUsername}?game={gameShortName}.
  `title` - String Game title.
  `text` - FormattedText Game text, usually containing scoreboards for a game.
  `description` - String Game description.
  `photo` - Photo Game photo.
  `animation` - Animation Game animation; may be null.

### Game

public Game​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`